unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, NxEdit6;

type
  TForm7 = class(TForm)
    NxDatePicker61: TNxDatePicker6;
    NxDatePicker62: TNxDatePicker6;
    NxComboBox61: TNxComboBox6;
    procedure NxDatePicker61CustomDrawDate(Sender: TObject; Date: TDateTime; DayRect: TRect);
    procedure NxDatePicker61GetDateColor(Sender: TObject; Date: TDateTime; var DayColor: TColor);
    procedure NxComboBox61PreviewDraw(Sender: TObject; PreviewRect: TRect);
    procedure NxComboBox61DrawItem(Canvas: TCanvas; Index: Integer; Rect: TRect; State: TOwnerDrawState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form7: TForm7;

implementation

uses
  DateUtils;

{$R *.dfm}

procedure TForm7.NxComboBox61DrawItem(Canvas: TCanvas; Index: Integer; Rect: TRect; State: TOwnerDrawState);
begin

end;

procedure TForm7.NxComboBox61PreviewDraw(Sender: TObject; PreviewRect: TRect);
begin

end;

procedure TForm7.NxDatePicker61CustomDrawDate(Sender: TObject; Date: TDateTime; DayRect: TRect);
begin
  with NxDatePicker61.PopupControl.Canvas do
  begin
    if Date = IncDay(Yesterday, -1) then
    begin
      Pen.Color := clRed;
      Brush.Color := clRed;
      Polygon([
        Point(DayRect.Left, DayRect.Top),
        Point(DayRect.Left + 5, DayRect.Top),
        Point(DayRect.Left, DayRect.Top + 5)
      ]);
    end;
  end;
end;

procedure TForm7.NxDatePicker61GetDateColor(Sender: TObject; Date: TDateTime; var DayColor: TColor);
begin
  if Date = IncDay(Today, 3) then
  begin
    DayColor := $00bad3f7;
  end;
end;

end.
